curl --request POST \
--url https://api.ubpass.co/v1/wallet-pass \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"notificationHeader": "BLUE PASS",
"passName": "VIP MEMBERSHIP PASS",
"passMetadata": {
"description": "Exclusive VIP membership pass with premium benefits",
"organizationName": "Premium Brands Inc",
"backgroundColor": "#4a32A8",
"displayTextColor": "#FFFFFF",
"topField": {
"key": "tabKey",
"label": "SEE OFFERS",
"value": "Tab (...)"
},
"secondaryFields": [
{
"key": "auxiliaryFieldKey",
"label": "Member Level",
"value": "VIP Gold"
},
{
"key": "auxiliaryFieldKey2",
"label": "Expires",
"value": "Dec 31, 2025"
}
],
"backFields": [
{
"key": "featured",
"label": "Featured",
"value": [
{
"link": "https://premiumbrands.com/",
"text": "Visit Our Website"
}
]
},
{
"key": "connectWithUs",
"label": "Connect",
"value": [
{
"link": "https://x.com/premiumbrands/",
"text": "X"
},
{
"link": "https://www.instagram.com/premiumbrands/",
"text": "Instagram"
}
],
"changeMessage": null
}
],
"qrUrl": "https://premiumbrands.com/vip-benefits",
"qrText": "Scan for VIP benefits"
},
"uploadInfoList": [
{
"fileName": "icon.png",
"uploadKey": "1f089d37-8a1b-4c2d-9e3f-123456789abc"
},
{
"fileName": "logo.png",
"uploadKey": "1f089d37-8a1b-4c2d-9e3f-123456789def"
},
{
"fileName": "strip.png",
"uploadKey": "1f089d37-8a1b-4c2d-9e3f-123456789ghi"
}
]
}
'import requests
url = "https://api.ubpass.co/v1/wallet-pass"
payload = {
"notificationHeader": "BLUE PASS",
"passName": "VIP MEMBERSHIP PASS",
"passMetadata": {
"description": "Exclusive VIP membership pass with premium benefits",
"organizationName": "Premium Brands Inc",
"backgroundColor": "#4a32A8",
"displayTextColor": "#FFFFFF",
"topField": {
"key": "tabKey",
"label": "SEE OFFERS",
"value": "Tab (...)"
},
"secondaryFields": [
{
"key": "auxiliaryFieldKey",
"label": "Member Level",
"value": "VIP Gold"
},
{
"key": "auxiliaryFieldKey2",
"label": "Expires",
"value": "Dec 31, 2025"
}
],
"backFields": [
{
"key": "featured",
"label": "Featured",
"value": [
{
"link": "https://premiumbrands.com/",
"text": "Visit Our Website"
}
]
},
{
"key": "connectWithUs",
"label": "Connect",
"value": [
{
"link": "https://x.com/premiumbrands/",
"text": "X"
},
{
"link": "https://www.instagram.com/premiumbrands/",
"text": "Instagram"
}
],
"changeMessage": None
}
],
"qrUrl": "https://premiumbrands.com/vip-benefits",
"qrText": "Scan for VIP benefits"
},
"uploadInfoList": [
{
"fileName": "icon.png",
"uploadKey": "1f089d37-8a1b-4c2d-9e3f-123456789abc"
},
{
"fileName": "logo.png",
"uploadKey": "1f089d37-8a1b-4c2d-9e3f-123456789def"
},
{
"fileName": "strip.png",
"uploadKey": "1f089d37-8a1b-4c2d-9e3f-123456789ghi"
}
]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
notificationHeader: 'BLUE PASS',
passName: 'VIP MEMBERSHIP PASS',
passMetadata: {
description: 'Exclusive VIP membership pass with premium benefits',
organizationName: 'Premium Brands Inc',
backgroundColor: '#4a32A8',
displayTextColor: '#FFFFFF',
topField: {key: 'tabKey', label: 'SEE OFFERS', value: 'Tab (...)'},
secondaryFields: [
{key: 'auxiliaryFieldKey', label: 'Member Level', value: 'VIP Gold'},
{key: 'auxiliaryFieldKey2', label: 'Expires', value: 'Dec 31, 2025'}
],
backFields: [
{
key: 'featured',
label: 'Featured',
value: [{link: 'https://premiumbrands.com/', text: 'Visit Our Website'}]
},
{
key: 'connectWithUs',
label: 'Connect',
value: [
{link: 'https://x.com/premiumbrands/', text: 'X'},
{link: 'https://www.instagram.com/premiumbrands/', text: 'Instagram'}
],
changeMessage: null
}
],
qrUrl: 'https://premiumbrands.com/vip-benefits',
qrText: 'Scan for VIP benefits'
},
uploadInfoList: [
{fileName: 'icon.png', uploadKey: '1f089d37-8a1b-4c2d-9e3f-123456789abc'},
{fileName: 'logo.png', uploadKey: '1f089d37-8a1b-4c2d-9e3f-123456789def'},
{fileName: 'strip.png', uploadKey: '1f089d37-8a1b-4c2d-9e3f-123456789ghi'}
]
})
};
fetch('https://api.ubpass.co/v1/wallet-pass', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "1f089d37-5ebe-6778-af59-99631cec7ab5",
"createdTime": "2025-09-04T21:09:36.027Z",
"updatedTime": "2025-09-04T21:09:36.027Z",
"createdBy": "1ef58ae6-40ac-6fd2-96af-45801844c4e2",
"updatedBy": "1ef58ae6-40ac-6fd2-96af-45801844c4e2",
"workspaceId": "1f089d29-6f9c-66c2-af59-99631cec7ab5",
"accountId": "1f089d29-6fa8-6a13-af59-99631cec7ab5",
"notificationHeader": "BLUE PASS",
"passName": "VIP MEMBERSHIP PASS",
"status": "Published",
"passMetadata": {
"description": "Exclusive VIP membership pass with premium benefits",
"organizationName": "Premium Brands Inc",
"backgroundColor": "#4a32A8",
"displayTextColor": "#FFFFFF",
"topField": {
"key": "tabKey",
"label": "SEE OFFERS",
"value": "Tab (...)"
},
"secondaryFields": [
{
"key": "auxiliaryFieldKey",
"label": "Member Level",
"value": "VIP Gold"
},
{
"key": "auxiliaryFieldKey2",
"label": "Expires",
"value": "Dec 31, 2025"
}
],
"backFields": [
{
"key": "featured",
"label": "Featured",
"value": [
{
"link": "https://premiumbrands.com/",
"text": "Visit Our Website"
}
]
}
],
"qrUrl": "https://premiumbrands.com/vip-benefits",
"qrText": "Scan for VIP benefits"
},
"uploadInfoList": [
{
"fileName": "icon.png",
"uploadKey": "1f089d37-8a1b-4c2d-9e3f-123456789abc"
},
{
"fileName": "logo.png",
"uploadKey": "1f089d37-8a1b-4c2d-9e3f-123456789def"
},
{
"fileName": "strip.png",
"uploadKey": "1f089d37-8a1b-4c2d-9e3f-123456789ghi"
}
]
}{
"txId": "1f098faa-8f33-6425-b4ff-533200846d35",
"timestamp": "24-09-2025 03:57:59",
"errorCode": "INVALID_INPUT",
"context": {
"passName": "must not be null"
}
}{
"txId": "Root=1-68d3693c-26a3db2278c7668f5e086711",
"timestamp": "24-09-2025 03:45:00",
"errorCode": "UNAUTHORIZED",
"errorMessage": "UNAUTHORIZED."
}Create a wallet pass
Create a new wallet pass for both Apple and Google platforms.
Authorizations
Bearer token authentication
Headers
Workspace ID to perform the operation in. If not provided, system will use the first one assigned to the user
^[a-zA-Z0-9-_]+$Body
Wallet pass creation data including metadata, fields, and uploaded asset references
The time when the entity was created in ISO 8601 format including milliseconds and timezone offset.
"2025-05-13T15:07:15.036Z"
The time when the entity was last updated in ISO 8601 format including milliseconds and timezone offset.
"2025-05-13T15:07:15.036Z"
The user who created the entity.
The user who last updated the entity.
Workspace the pass belongs to.
Name of the pass, the name has to be unique within the workspace.
"My Wallet Pass"
Pass metadata.
Show child attributes
Show child attributes
Wallet pass images. each pass has to have a logo, icon, and strip images in png format. footer.png is optional.
Show child attributes
Show child attributes
The link where passes can be downloaded. This link will be generated after passes are created.
This is used for Apple passes. The notification header is displayed on the lock screen when a notification is sent to the pass.
Account which the pass belongs to. If it's not provided the system will automatically use the default account for the workspace.
Show child attributes
Show child attributes
Total number of users who have added this pass to their Apple Wallets
Total number of users who have added this pass to their Google Wallets
Total number of users who have added this pass to their wallets (Apple + Google)
Total number of users who have added this pass to their Apple Wallets and have not removed it
Total number of users who have added this pass to their Google Wallets and have not removed it
Total number of users who have added this pass to their wallets (Apple + Google) and have not removed it
Slug to be used for the pass link. This is used to generate the pass link, if not provided the system will generate a random slug.
Raw link to Google Pass. This link is provided by Google API.
Pass status
Draft, Published "Draft, Published"
Response
Wallet pass created successfully
The time when the entity was created in ISO 8601 format including milliseconds and timezone offset.
"2025-05-13T15:07:15.036Z"
The time when the entity was last updated in ISO 8601 format including milliseconds and timezone offset.
"2025-05-13T15:07:15.036Z"
The user who created the entity.
The user who last updated the entity.
Workspace the pass belongs to.
Name of the pass, the name has to be unique within the workspace.
"My Wallet Pass"
Pass metadata.
Show child attributes
Show child attributes
Wallet pass images. each pass has to have a logo, icon, and strip images in png format. footer.png is optional.
Show child attributes
Show child attributes
The link where passes can be downloaded. This link will be generated after passes are created.
This is used for Apple passes. The notification header is displayed on the lock screen when a notification is sent to the pass.
Account which the pass belongs to. If it's not provided the system will automatically use the default account for the workspace.
Show child attributes
Show child attributes
Total number of users who have added this pass to their Apple Wallets
Total number of users who have added this pass to their Google Wallets
Total number of users who have added this pass to their wallets (Apple + Google)
Total number of users who have added this pass to their Apple Wallets and have not removed it
Total number of users who have added this pass to their Google Wallets and have not removed it
Total number of users who have added this pass to their wallets (Apple + Google) and have not removed it
Slug to be used for the pass link. This is used to generate the pass link, if not provided the system will generate a random slug.
Raw link to Google Pass. This link is provided by Google API.
Pass status
Draft, Published "Draft, Published"